Index: /trunk/language/bg_BG/common.lang.php
===================================================================
--- /trunk/language/bg_BG/common.lang.php	(revision 30914)
+++ /trunk/language/bg_BG/common.lang.php	(revision 30915)
@@ -102,12 +102,12 @@
 $lang['month'][8] = 'Август';
 $lang['month'][9] = 'Септември';
-$lang['slideshow'] = 'Слайдшоу';
-$lang['stop the slideshow'] = 'Спри слайдшоуто';
-$lang['Specials'] = 'Покажи';
+$lang['slideshow'] = 'слайдшоу';
+$lang['stop the slideshow'] = 'спри слайдшоуто';
+$lang['Specials'] = 'Специални';
 $lang['SQL queries in'] = 'SQL запитвания в';
-$lang['display only recently posted photos'] = 'покажи само наскоро добавени снимки';
-$lang['return to the display of all photos'] = 'върни се на преглед на всички снимки';
+$lang['display only recently posted photos'] = 'показване само на последните добавени снимки';
+$lang['return to the display of all photos'] = 'връщане към режим на показване на всички снимки';
 $lang['the beginning'] = 'началото';
-$lang['Thumbnails'] = 'Умален преглед';
+$lang['Thumbnails'] = 'Миниатюри';
 $lang['Menu'] = 'Меню';
 $lang['A comment on your site'] = 'Коментар на вашият сайт';
@@ -129,7 +129,7 @@
 $lang['Album: %s'] = 'Албум: %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Грешен статус за потребител "guest", ще бъде използвана настройка по подразбиране. Моля уведомете уебмастерът.';
-$lang['this email address is already in use'] = 'този е-мейл адрес вече се използва';
+$lang['this email address is already in use'] = 'този имейл адрес вече се използва';
 $lang['Album results for'] = 'Албумни резултати за';
-$lang['Tag results for'] = 'Таг резултати за';
+$lang['Tag results for'] = 'Резултати за етикет';
 $lang['from %s to %s'] = 'от %s до %s';
 $lang['Play of slideshow'] = 'Пусни слайдшоу';
@@ -146,5 +146,5 @@
 $lang['%d photo is also linked to current tags'] = '%d снимка също е свързана настоящите тагове';
 $lang['%d photos are also linked to current tags'] = '%d снимки също са свързани и с настоящите тагове';
-$lang['display photos linked to this tag'] = 'покажи снимките свързани с този таг';
+$lang['display photos linked to this tag'] = 'показване на снимките свързани с този етикет';
 $lang['photos posted during the last %d days'] = 'добавени снимки през последните %d дни';
 $lang['Piwigo Help'] = 'Piwigo помощ';
@@ -152,5 +152,5 @@
 $lang['group by letters'] = 'групирай по букви';
 $lang['letters'] = 'букви';
-$lang['show tag cloud'] = 'покажи облак от тагове';
+$lang['show tag cloud'] = 'покажи облак от етикети';
 $lang['cloud'] = 'облак';
 $lang['Reset to default values'] = 'Върни до настройки по подразбиране';
@@ -180,13 +180,13 @@
 $lang['Retrieve password'] = 'Възстанови парола';
 $lang['Search rules'] = 'Критерий за търсене';
-$lang['Search tags'] = 'Търси тагове';
+$lang['Search tags'] = 'Търси етикети';
 $lang['Search'] = 'Търси';
-$lang['display available tags'] = 'покажи налични тагове';
+$lang['display available tags'] = 'показване налични етикети';
 $lang['Since'] = 'От';
-$lang['Sort by'] = 'Сортирано по';
-$lang['Sort order'] = 'Сортирай по';
-$lang['Tag'] = 'Таг';
-$lang['Tags'] = 'Тагове';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS записа предлага уведомяване от този сайт, когато има: нови снимки, обновени албуми, нови коментари. Използвайте четец за RSS записи.';
+$lang['Sort by'] = 'Сортирай по';
+$lang['Sort order'] = 'Подредба';
+$lang['Tag'] = 'Етикет';
+$lang['Tags'] = 'Етикети';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS емисията предлага известяване от този сайт когато има: нови снимки, обновени албуми, нови коментари. Използвайте четец за RSS емисии.';
 $lang['Unknown feed identifier'] = 'Неизвестен идентификатор на записи';
 $lang['User comments'] = 'Потребителски коментари';
@@ -201,19 +201,19 @@
 $lang['all'] = 'всички';
 $lang['ascending'] = 'възходящ ред';
-$lang['author(s) : %s'] = 'автор(и) : %s';
+$lang['author(s) : %s'] = 'автор(и): %s';
 $lang['Expand all albums'] = 'Покажи всички албуми';
-$lang['posted after %s (%s)'] = 'качени след %s (%s)';
-$lang['posted before %s (%s)'] = 'качени преди %s (%s)';
-$lang['posted between %s (%s) and %s (%s)'] = 'качени между %s (%s) и %s (%s)';
-$lang['posted on %s'] = 'качени на %s';
+$lang['posted after %s (%s)'] = 'добавени след %s (%s)';
+$lang['posted before %s (%s)'] = 'добавени преди %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'добавени между %s (%s) и %s (%s)';
+$lang['posted on %s'] = 'добавени на %s';
 $lang['Best rated'] = 'С най-добра оценка';
-$lang['display best rated photos'] = 'покажи снимките с най-добри оценки';
+$lang['display best rated photos'] = 'показване снимките с най-добри оценки';
 $lang['Calendar'] = 'Календар';
 $lang['All'] = 'Всички';
-$lang['display each day with photos, month per month'] = 'покажи всеки ден със снимки, месец по месец';
+$lang['display each day with photos, month per month'] = 'показване снимките по дни, месец по месец';
 $lang['View'] = 'Изглед';
-$lang['chronology_monthly_calendar'] = 'хронологичен месечен календар';
-$lang['chronology_monthly_list'] = 'хронологичен списък с месеци';
-$lang['chronology_weekly_list'] = 'хронологичен списък със седмици';
+$lang['chronology_monthly_calendar'] = 'Месечен календар';
+$lang['chronology_monthly_list'] = 'Месечен списък';
+$lang['chronology_weekly_list'] = 'Седмичен списък';
 $lang['Click here if your browser does not automatically forward you'] = 'Натиснете тук ако браузера не ви пренасочи автоматично';
 $lang['comment date'] = 'дата на коментар';
@@ -223,5 +223,5 @@
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Коментарът ви не е регистриран, защото не отговаря на правилата за писане на коментари';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Администратор трябва да одобри коментарът ви преди да бъде видим.';
-$lang['This login is already used by another user'] = 'Това потребителско име вече се използва от друг потребител.';
+$lang['This login is already used by another user'] = 'Това потребителско име вече се използва от друг потребител';
 $lang['Comments'] = 'Коментари';
 $lang['Add a comment'] = 'Добави коментар';
@@ -242,14 +242,14 @@
 $lang['excluded'] = 'изключени';
 $lang['Your favorites'] = 'Вашите любими';
-$lang['display your favorites photos'] = 'покажи вашите любими снимки';
+$lang['display your favorites photos'] = 'показване на вашите любими снимки';
 $lang['Favorites'] = 'Любими';
 $lang['First'] = 'Първа';
-$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Галерията е заключена за поправка. Моля, елате по-късно.';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Галерията е заключена за профилактика. Моля, елате по-късно.';
 $lang['Page generated in'] = 'Страницата генерирана за';
 $lang['guest'] = 'гост';
 $lang['Hello'] = 'Здравей';
 $lang['available for administrators only'] = 'само за администратори';
-$lang['display this album'] = 'покажи този албум';
-$lang['display last user comments'] = 'покажи последните коментари';
+$lang['display this album'] = 'показване на този албум';
+$lang['display last user comments'] = 'показване на последните коментари';
 $lang['customize the appareance of the gallery'] = 'персонализиране на външния вид на галерията';
 $lang['search'] = 'търси';
@@ -265,9 +265,9 @@
 $lang['Logout'] = 'Изход';
 $lang['obligatory'] = 'задължително';
-$lang['display a calendar by creation date'] = 'покажи календар по дата на създаване';
-$lang['display all photos in all sub-albums'] = 'покажи всички снимки във всички под-албуми';
-$lang['return to normal view mode'] = 'върнете се към нормален изглед';
-$lang['display a calendar by posted date'] = 'показване на календар от дата на публикуване';
-$lang['display most visited photos'] = 'покажи най-посещаваните снимки';
+$lang['display a calendar by creation date'] = 'показване календар по дата на създаване';
+$lang['display all photos in all sub-albums'] = 'показване всички снимки във всички под-албуми';
+$lang['return to normal view mode'] = 'връщане към нормален режим на показване';
+$lang['display a calendar by posted date'] = 'показване календар по дата на публикуване';
+$lang['display most visited photos'] = 'показване на най-посещаваните снимки';
 $lang['Unknown identifier'] = 'Неизвестен идентификатор';
 $lang['New password'] = 'Нова парола';
@@ -286,19 +286,19 @@
 $lang['display a set of random photos'] = 'показване набор от случайни снимки';
 $lang['Recent albums'] = 'Последни албуми';
-$lang['display recently updated albums'] = 'показване наскоро актуализирани албуми';
+$lang['display recently updated albums'] = 'показване на последните актуализирани албуми';
 $lang['Recent period'] = 'Последния период';
 $lang['Recent photos'] = 'Последни снимки';
-$lang['display most recent photos'] = 'показване най-новите снимки';
+$lang['display most recent photos'] = 'показване на най-новите снимки';
 $lang['Redirection...'] = 'Пренасочване...';
 $lang['Please, enter a login'] = 'Моля, въведете потребителско име';
 $lang['login mustn\'t end with a space character'] = 'потребителското име не трябва да завършва с интервал';
 $lang['login mustn\'t start with a space character'] = 'потребителското име неможе да започва с интервал';
-$lang['this login is already used'] = 'потребителското име е заето';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'мейл адресът трябва да бъде подобно на xxx@yyy.eee (пример : jack@altern.org)';
+$lang['this login is already used'] = 'това потребителско име е заето';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'имейл адресът трябва да бъде подобно на xxx@yyy.eee (пример: jack@altern.org)';
 $lang['Auto login'] = 'Автоматично влизане';
-$lang['remove this tag from the list'] = 'премахване на този маркер от списъка';
-$lang['representative'] = 'представител';
+$lang['remove this tag from the list'] = 'премахване на този етикет от списъка';
+$lang['representative'] = 'миниатюра за албума';
 $lang['Search for Author'] = 'Търсене на автор';
-$lang['Search in albums'] = 'Търсене в албумите';
+$lang['Search in albums'] = 'Търсене в албуми';
 $lang['Search by date'] = 'Търсене по дата';
 $lang['Date'] = 'Дата';
@@ -316,10 +316,10 @@
 $lang['searched words : %s'] = 'търсени думи : %s';
 $lang['Contact'] = 'Контакт';
-$lang['set as album representative'] = 'задай снимка на албума';
+$lang['set as album representative'] = 'задай като миниатюра за албума';
 $lang['Show number of comments'] = 'Показване броя на коментарите';
-$lang['Show number of hits'] = 'Покажи брой на попаденията';
+$lang['Show number of hits'] = 'Покажи брой на показванията';
 $lang['(!) This comment requires validation'] = '(!) Този коментар изисква одобрение';
 $lang['Welcome'] = 'Добре дошъл';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Добре дошли във вашата Piwigo фото галерия!';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Добре дошли във вашата фото галерия!';
 $lang['... or browse your empty gallery'] = '... или разгледайте празната галерия';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... или моля деактивирайте това съобщение, аз ще намеря друг начин';
@@ -328,6 +328,6 @@
 $lang['Manage this user comment: %s'] = 'Управление на потребителския коментар: %s';
 $lang['Email address is missing. Please specify an email address.'] = 'Липсва имейл адрес. Моля въведете имейл адрес.';
-$lang['This author modified following comment:'] = 'Автора промени следния коментар:';
-$lang['This author removed the comment with id %d'] = 'Автора премахна коментара с id %d';
+$lang['This author modified following comment:'] = 'Този автор промени следния коментар:';
+$lang['This author removed the comment with id %d'] = 'Този автор премахна коментара с id %d';
 $lang['html tags are not allowed in login'] = 'html тагове не са разрешени в логина';
 $lang['Unknown feed identifier'] = 'Неизвестен индетификатор';
@@ -340,6 +340,6 @@
 $lang['Return to home page'] = 'Връщане към началната страница';
 $lang['The passwords do not match'] = 'Въведените пароли не съвпадат';
-$lang['To reset your password, visit the following address:'] = 'За да анулирате паролата, посетете този адрес:';
-$lang['Username or email'] = 'Потребителско име или е-мейл';
+$lang['To reset your password, visit the following address:'] = 'За да анулирате паролата си, посетете този адрес:';
+$lang['Username or email'] = 'Потребителско име или имейл';
 $lang['You will receive a link to create a new password via email.'] = 'Ще получите линк на електронната си поща, с който ще съзадате нова парола';
 $lang['Your password has been reset'] = 'Вашата парола е анулирана';
@@ -353,6 +353,6 @@
 $lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Ако смятате, че сте получили това съобщение вследстиве на злонамереност, моля свържете се с нас на %s';
 $lang['IPTC Metadata'] = 'IPTC метаданни';
-$lang['large'] = 'голям';
-$lang['medium'] = 'среден';
+$lang['large'] = 'L - голям';
+$lang['medium'] = 'M - среден';
 $lang['Original'] = 'Оригинал';
 $lang['Password Reset'] = 'Нулиране на парола';
@@ -360,17 +360,17 @@
 $lang['Password: %s'] = 'Парола: %s';
 $lang['Rating score'] = 'Резултат оценки';
-$lang['Send my connection settings by email'] = 'Изпращане на настройките за свързване по пощата!';
-$lang['small'] = 'малък';
-$lang['Someone requested that the password be reset for the following user account:'] = 'Зявака за нулиране на парола за потребителско име:';
-$lang['square'] = 'правоъгълен';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Успешна регистрация, скоро ще получите съобщение на електронната поща, със настройките за свързване. Добре дошли!';
-$lang['Thank you for registering at %s!'] = 'Благодарим Ви, за регистрацията на  %s!';
-$lang['thumb'] = 'прелиствам';
-$lang['User "%s" has no email address, password reset is not possible'] = 'За потребителят  "%s" липсва електронна поща, затова нулирането на паролата е невъзможно';
-$lang['Username "%s" on gallery %s'] = 'Потребител  "%s" на галерия %s';
+$lang['Send my connection settings by email'] = 'Изпращане на настройките за свързване с имейл!';
+$lang['small'] = 'S - малък';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Някой е зявил нулиране на парола за следното потребителско име:';
+$lang['square'] = 'Правоъгълен';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Успешна регистрация, скоро ще получите съобщение на електронната си поща с настройките за свързване. Добре дошли!';
+$lang['Thank you for registering at %s!'] = 'Благодарим ви за регистрацията в %s!';
+$lang['thumb'] = 'Миниатюра';
+$lang['User "%s" has no email address, password reset is not possible'] = 'За потребителят  "%s" липсва имейл адрес, нулирането на паролата е невъзможно';
+$lang['Username "%s" on gallery %s'] = 'Потребител "%s" в галерия %s';
 $lang['Username modification'] = 'Промяна на потребител';
 $lang['Username: %s'] = 'Потребител: %s';
-$lang['xlarge'] = 'по-голям';
-$lang['xxlarge'] = 'огромен';
+$lang['xlarge'] = 'XL - много голям';
+$lang['xxlarge'] = 'XXL - най-голям';
 $lang['Your username has been successfully changed to : %s'] = 'Потребителското ви име е успешно промененно на: %s';
 $lang['%d rates'] = '%d оценки';
@@ -427,2 +427,21 @@
 $lang['Album name, Z &rarr; A'] = 'Име на албум, Z &rarr; A';
 $lang['Album name, A &rarr; Z'] = 'Име на албум, A &rarr; Z';
+$lang['day']['0'] = 'неделя';
+$lang['day']['1'] = 'понеделник';
+$lang['day']['2'] = 'вторник';
+$lang['day']['3'] = 'сряда';
+$lang['day']['4'] = 'четвъртък';
+$lang['day']['5'] = 'петък';
+$lang['day']['6'] = 'събота';
+$lang['month']['10'] = 'октомври';
+$lang['month']['11'] = 'ноември';
+$lang['month']['12'] = 'декември';
+$lang['month']['1'] = 'януари';
+$lang['month']['2'] = 'февруари';
+$lang['month']['3'] = 'март';
+$lang['month']['4'] = 'април';
+$lang['month']['5'] = 'май';
+$lang['month']['6'] = 'юни';
+$lang['month']['7'] = 'юли';
+$lang['month']['8'] = 'август';
+$lang['month']['9'] = 'септември';