Index: /trunk/plugins/TakeATour/language/sr_RS/tour_2_7_0.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/sr_RS/tour_2_7_0.lang.php	(revision 30933)
+++ /trunk/plugins/TakeATour/language/sr_RS/tour_2_7_0.lang.php	(revision 30934)
@@ -32,2 +32,13 @@
 $lang['2_7_0_title2'] = 'Прва нова могућност';
 $lang['2_7_0_stp1'] = 'Здраво! Ја ћу бити твој водич за откривање Piwigo галерије. Следи моје савете кликом на Следеће (или на стрелице тастатуре). Ако одеш на другу страницу бићеш преусмерен на Обилазак галерије.';
+$lang['2_7_0_stp9'] = 'Менаџер операција је сада добио филтер за претрагу. Он сада омогућава напредну претрагу коришћењем синтаксе и омогућава да нађете фотографије на основу датума, ознака, величине, имена датотека и опција као што су потпуно поклапање, и/или групе и искључивање. Касније можете погледати помоћ за више детаља. Исту синтаксу можете применити и унутар брзе претраге у јавном делу галерије.';
+$lang['2_7_0_stp8'] = 'Пражњење фијоке је сада на само једак клик од вас.';
+$lang['2_7_0_stp7'] = 'Сада можете поређати ваше албуме на основу времена постављања или настанка фотографија у њима';
+$lang['2_7_0_title6'] = 'Изаберите опцију';
+$lang['2_7_0_title8'] = 'Испразни фијоку';
+$lang['2_7_0_stp6'] = 'Поље за избор албума, ознака и сл. је промењено тако да је сада много једноставније и корисније. Испробајте га испод';
+$lang['2_7_0_stp4'] = 'Страница за претрагу је унапређена: можете изабрати особине на основу којих се примењују речи за претрагу, пронаћи ауторе из базе података, видети предлоге из списка ознака и албума и још много тога.';
+$lang['2_7_0_stp5'] = 'Сада можете одабрати време додавања поред датума помоћу клизача Сат и Минут';
+$lang['2_7_0_stp2b'] = 'Нови начин за слање слика у Piwigo 2.7 је заснован на HTML5 уместо Флеша и донеће вам бољу подршку са модерним прегледачима интернета и већу поузданост на спорим мрежама. Од сада ће превлачење изабраних фотографија бити много лакше из самог прегледача!';
+$lang['2_7_0_stp11'] = 'Обилазак је завршен.<p style="text-align:center">Уживајте у Piwigo 2.7 галерији!</p>Уколико вам се допадне Piwigo и желите да нас подржите, можете помоћи преводом програма на ваш језик, донацијом и сл. <a href="http://piwigo.org/basics/contribute" target="_blank">Кликните овде како би нас подржали</a> Хвала!';
+$lang['2_7_0_stp2'] = 'Као што видите, ос сада имамо нови подразумевани додатак: Обилазак. Овај додатак ће вам помоћи да откријете вашу Piwigo галерију. Испод се налази неколико доступних обиласка.<br>Овој страници можете приступити када одете у <em>Додати » Обилазак</em>';