Index: /extensions/Password_Policy/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/Password_Policy/language/uk_UA/plugin.lang.php	(revision 30938)
+++ /extensions/Password_Policy/language/uk_UA/plugin.lang.php	(revision 30939)
@@ -61,2 +61,43 @@
 $lang['PP_No_Userlist'] = 'Немає користувачів для відображення';
 $lang['PP_Admins is not unlockable'] = 'Адміністратори не можуть бути заблоковані, чи розблоковані';
+$lang['PP_passwadmTitle_d'] = 'Адміністратор може створити обліковий запис користувача з або без застосування правила обчислювальної складності.<br/><br/>
+Примітка: Якщо користувач хоче змінити пароль та зміцнення паролю для користувачів активовано, він підлягатиме під встановленні правила.';
+$lang['PP_passwTitle_d'] = 'Вмикання цієї опції робить обов\'язковим встановлення паролю при реєстрації, та потребує відповідність паролю користувача мінімальному рівню складності. Якщо поріг не досягнуто, відображається отриманий бал та потрібний бал складності з рекомендаціями для збільшення балу.<br/><br/>
+Цей тест для вимірювання складності паролю, може дозволити отримати уяву про визначення складності паролю.<br/><br/>
+Примітка: Бал паролю рахується на базі кількох параметрів: довжина, тип використаних символів (букви, цифри, верхній регістр, нижній регістр, спеціальні символи). Бали до 100 вважаються низькими, від 100 до 500 - середня складність; більше 500 - чудова безпека.';
+$lang['PP_config_tab'] = 'Налаштування';
+$lang['PP_Users_List_Tab'] = 'Управління';
+$lang['PP_UserLocked_Custom_Txt_d'] = 'Тут ви можете змінити текст повідомлення, що відображатиметься користувачеві, чий обліковий запис заблоковано. Для використання різних мов, ви можете скористатися плагіном Extended description якщо він активований.';
+$lang['PP_Support_txt'] = 'Офіційна підтримка цього плагіну тільки на сторінці форуму Piwigo:<br/>
+<a href="http://piwigo.org/forum/viewtopic.php?id=22863" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=22863</a>';
+$lang['PP_Title'] = 'Password Policy - Версія: ';
+$lang['PP_SubTitle'] = 'Налаштування плагіну';
+$lang['PP_Select page size'] = 'Виберіть розмір сторінки';
+$lang['PP_Select page number'] = 'Виберіть кількість сторінок для відображення';
+$lang['PP_Pwd_Actions_d'] = 'Запроси на розблокування облікових записів та відновлення паролю встановлюються тут.<br/><br/>
+Оберіть користувачів перед дією. Галочка підтвердження необхідна перед застосуванням будь-якої дії.<br/><br/>
+<b style=&quot;color: red;&quot;>Важливо :</b> Виконуйте дії <u><b>ТІЛЬКИ</b> на облікових записах відвідувачів</u>, а не на адміністраторах, webmaster, default та гість.';
+$lang['PP_PwdResetTitle_d'] = 'Вмикання цієї опції додє нову функцію на вкладці управління, для відновлення паролю для обраних користувачів. Крім того, додається новий стовпець для відображення статусу паролів для кожного з них з наступними значеннями:<br/><br/>
+- Пароль потребує оновлення: Заплановано запит на заміну паролю.<br/>
+- Пароль оновлено: Пароль оновлено після запиту.<br/>
+- Оригінальний пароль: Оригінальний пароль, обраний при створенні облікового запису і який ніколи не просили відновити.<br/><br/>
+<b style=&quot;color: red;&quot;>Webmaster, generic та гість облікові записи виключені з цієї функції.</b><br/><br/>
+Ці користувачі будуть автоматично перенаправлятися на свої сторінки налаштування при кожному зі своїх з\'єднань, поки вони не змінять свій пароль і явне повідомлення буде відображено на цій сторінці.';
+$lang['PP_PwdReset_Todo'] = 'Пароль потребує оновлення';
+$lang['PP_Max number of failed attempts_d'] = 'Число 0 вимикає підрахунок спроб.';
+$lang['PP_Max number of failed attempts'] = 'Максимальна кількість невдалих спроб:';
+$lang['PP_LoginAttempts_d'] = 'Ця опція дозволяє записувати невдалі спроби входу на галерею в результаті неправильного пароля і автоматично блокувати причетного користувача. Він призначений для протистояти можливим спробам злому з використанням словників паролів.<br/><br/>
+<b style=&quot;color: red;&quot;>Webmaster, стандартний і гостьовий облікові записи, виключаються з даної функції.</b><br/><br/>
+ При активації, ви зможете вказати максимальну кількість дозволених невдалих спроб перед блокуванням і визначити власне повідомлення користувачу, якого заблоковано. Це повідомлення відображається, тільки якщо користувач успішно увійшов після блокування.<br/><br/>
+ Щоб розблокувати облікові записи, перейдіть на вкладку управління. Ви знайдете новий стовпець із зазначенням стану користувачів позначених червоним символом (для заблокованого облікового запису) і зеленим (для розблокованого користувача). Виберіть один або кілька облікових записів, щоб розблокувати і натисніть кнопку розблокування, щоб застосувати дію.';
+$lang['PP_Guest is not unlockable'] = 'Гостьові користувачі не можуть бути заблоковані і не можуть бути разблоковані';
+$lang['PP_Guest cannot be pwdreset'] = 'Відновлення паролю не може бути встановлено для облікового запису гостя!';
+$lang['PP_Generic is not unlockable'] = 'Стандартні користувачі не можуть бути заблоковані і не можуть бути разблоковані';
+$lang['PP_Generic cannot be pwdreset'] = 'Відновлення паролю не можна встановити для стандартних облікових записів!';
+$lang['PP_Error_Password_Need_Enforcement_%s'] = 'Безпека: Система управління обчислює бал складності на обраний пароль. Складність вашого паролю замала (бал = %s). Будьласка, оберіть новий більш складний пароль, дотримуючись цих правил:<br/>
+- Використовуйте букви та цифри<br/>
+- Використовуйте верхній та нижній регістри букв<br/>
+- Збільшіть довжину (кількість символів)<br/>
+Мінімальний бал паролю, що вимагає адміністратор: ';
+$lang['PP_Err_Userlist_Settings'] = 'Ця вкладка доступна, тільки якщо оновлення паролю або розблокування облікового запису включено';
+$lang['PP_Default user cannot be pwdreset'] = 'Оновлення паролю не може бути встановлено для облікового запису користувача за замовчуванням!';