Index: /extensions/Register_FluxBB/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/Register_FluxBB/language/uk_UA/plugin.lang.php	(revision 30939)
+++ /extensions/Register_FluxBB/language/uk_UA/plugin.lang.php	(revision 30940)
@@ -121,2 +121,55 @@
 $lang['Config_Disclaimer'] = 'Перевірте налаштування вашої інсталяції FluxBB і виправте їх, якщо необхідно.<br/>Змініть, якщо необхідно, налаштування плагіну як ви хочете.';
 $lang['Bridge_UAM'] = 'Перевірка доступу до форуму, використовуючи плагін UserAdvManager (UAM): Тут ви активуєте міст між двома плагінами, який дозволяє обмежити доступ до вашого форумі FluxBB, якщо користувач не підтвердив його або її реєстрацію в галереї (пов\'язана функція UAM повинна бути активною)';
+$lang['No_Reg_advise'] = '  Для кращої інтеграції, необхідно зробити такі зміни у вашому форумі FluxBB (<b>Попередження: Ці зміни зникнуть при оновленні скрипта форуму</b>):
+<br/><br/>
+  <b>* У панелі адміністрування FluxBB, змініть "Дозволяти нові регістрації" на НІ (див.: Налаштування - Реєстрація)</b>
+<br/><br/>
+  <b>* Змініть файл</b>: [FluxBBRoot]/lang/English/register.php замінивши цю строку:
+  <div class="mod">\'No new regs\'				=>	\'This forum is not accepting new users.\'</div>
+  <b>замінити на :</b>
+  <div class="info">\'No new regs\'				=>	\'&lt;a href=&quot;http://[YourPiwigoRoot]/register.php&quot; &gt; Go here to register &lt;/a&gt;&lt;br/&gt;&lt;br/&gt;\'</div>
+  <br/>
+  Звичайно, ви повинні зробити такі ж зміни для інших мов вашого форуму FluxBB.
+<br/><br/>
+  <b>* Змініть файл</b>: [FluxBBRoot]/login.php шляхом заміни навколо строки 64:
+  <div class="mod">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;login.php?action=forget&quot;&gt;</div>
+  <b>замінити на :</b>
+  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[YourPiwigoRoot]/password.php&quot;&gt;</div>
+<br/>
+  та в районі строки 295:
+  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;&gt;&lt;?php echo $lang_login[\'Forgotten pass\']&lt;/a&gt;</div>
+  <b>замінити на :</b>
+  <div class="info">&lt;a href=&quot;../[YourPiwigoRoot]/password.php&quot; tabindex=&quot;5&quot;&gt;&lt;?php echo $lang_login[\'Forgotten pass\'] ?&gt;&lt;/a&gt;</div>
+<br/><br/>
+  <b>* Змініть файл</b> : [FluxBBRoot]/index.php <b>після</b> строки 18 :
+  <div class="mod">
+// Load the index.php language file<br/>
+require PUN_ROOT.\'lang/\'.$pun_user[\'language\'].\'/index.php\';
+  </div>
+  <b>Додайте :</b>
+  <div class="info">
+// Mod to regenerate user cache on each load<br/>
+&nbsp;if (!defined(\'FORUM_CACHE_FUNCTIONS_LOADED\'))<br/>
+&nbsp;&nbsp;&nbsp;require PUN_ROOT.\'include/cache.php\';
+<br/><br/>
+&nbsp;&nbsp;&nbsp;generate_users_info_cache();<br/>
+// ------------------------------------------<br/>
+  </div>
+<br/>';
+$lang['Disclaimer'] = '  <div class="warning">Важливо: FluxBB та Piwigo повинні бути установлені в одній базі даних! Для безпеки, зробіть резервну копію вашої бази даних та особливо ваші таблиці ###_user перед любою дією.</div><br/><br/>
+  *** Для початку, виконайте такі два кроки ***<br/>
+  Крок 1 - Налаштування: Налаштуйте параметри плагіну, що відносяться до параметрів FluxBB<br/>
+  Крок 2 - Синхронізація:
+  - Якщо ваш форум FluxBB <b>не має</b> жодного користувача, синхронізуйте усі облікові записи користувачів з Piwigo до FluxBB<br/>
+  - Якщо ваш форум FluxBB <b>має</b> користувачів, запустіть аудит. Аудит протестує узгодженість даних користувачів між Piwigo та FluxBB. Грунтуючись на результатах, буде запропоновано виконати виправлення у кожному конкретному випадку<br/><br/>
+
+  <div class="warning">Поки що не можливо синхронізувати існуючих користувачів форуму FluxBB до галереї Piwigo. Саме тому під час запропонованого аудиту будуть видалені облікові записи форуму FluxBB. Ви можете залишити не синхронізовані облікові записи (вони зможуть тільки підключатися до форуму) в очікуванні наступного розвитку плагіну, що отримає можливість виконати цю синхронізацію.</div>
+<br/><br/>
+  
+  Примітка: Паролі синхронізованих вручну облікових записів (через аудит чи повну синхронізацію) з Piwigo до FluxBB не відновлюються. Коже користувач повинен змінити свій пароль при наступному вході до галереї (він буде автоматично перенаправлений до сторінки його профілю) задля того, щоб синхронізація була ефективною і він міг зайти до форуму.
+<br/><br/>
+
+  <div class="warning">Важливо знати:<br/>
+  За замовчанням, <b>FluxBB</b> <u>не чутливий</u> до регістру у іменах користувачів. Саме тому, якщо користувач з ім\'ям "test" вже зареєстрований, інші записи як "Test" чи "TEST" чи "TEst" (і т.і ..) будуть відхилені.<br/><br/>
+  За замовчанням, <b>Piwigo</b> працює навпаки і тому <u>чутлива</u> до регістру у іменах користувачів ("test" буде іншим користувачем ніж "Test" чи "TEST", і т.і. ...).<br/>
+  Для запобігання проблем (навіть якщо поведінка Piwigo може бути легко змінена - Дивись опції налаштування), Register_FluxBB поєднає програми, використовуючи поведінку FluxBB: Буде <u>не чутливим</u> до регістру у іменах користувачів.<br/><br/></div>';