Index: /trunk/language/bg_BG/common.lang.php
===================================================================
--- /trunk/language/bg_BG/common.lang.php	(revision 30964)
+++ /trunk/language/bg_BG/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Български [BG]
-Version: 2.7.0
+Version: 2.7.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=510
 Author: Piwigo team
Index: /trunk/language/br_FR/common.lang.php
===================================================================
--- /trunk/language/br_FR/common.lang.php	(revision 30964)
+++ /trunk/language/br_FR/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Brezhoneg [FR]
-Version: 2.7.0
+Version: 2.7.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=698
 Author: Piwigo team
Index: /trunk/language/cs_CZ/common.lang.php
===================================================================
--- /trunk/language/cs_CZ/common.lang.php	(revision 30964)
+++ /trunk/language/cs_CZ/common.lang.php	(revision 30965)
@@ -26,5 +26,5 @@
 /*
 Language Name: Česky [CZ]
-Version: 2.7.0
+Version: 2.7.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=414
 Author: Piwigo team
Index: /trunk/language/de_DE/common.lang.php
===================================================================
--- /trunk/language/de_DE/common.lang.php	(revision 30964)
+++ /trunk/language/de_DE/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Deutsch [DE]
-Version: 2.7.1
+Version: 2.7.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=416
 Author: Piwigo team
Index: /trunk/language/en_US/common.lang.php
===================================================================
--- /trunk/language/en_US/common.lang.php	(revision 30964)
+++ /trunk/language/en_US/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: English [US]
-Version: 2.7.0
+Version: 2.7.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=717
 Author: Piwigo team
Index: /trunk/language/eo_EO/common.lang.php
===================================================================
--- /trunk/language/eo_EO/common.lang.php	(revision 30964)
+++ /trunk/language/eo_EO/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Esperanto [EO]
-Version: 2.7.0
+Version: 2.7.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=596
 Author: Piwigo team
Index: /trunk/language/es_MX/common.lang.php
===================================================================
--- /trunk/language/es_MX/common.lang.php	(revision 30964)
+++ /trunk/language/es_MX/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: México [MX]
-Version: 2.7.0
+Version: 2.7.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=726
 Author: Piwigo team
Index: /trunk/language/fi_FI/common.lang.php
===================================================================
--- /trunk/language/fi_FI/common.lang.php	(revision 30964)
+++ /trunk/language/fi_FI/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Finnish [FI]
-Version: 2.7.0
+Version: 2.7.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=686
 Author: Piwigo team
Index: /trunk/language/hr_HR/common.lang.php
===================================================================
--- /trunk/language/hr_HR/common.lang.php	(revision 30964)
+++ /trunk/language/hr_HR/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Hrvatski [HR]
-Version: 2.7.0
+Version: 2.7.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=422
 Author: Piwigo team
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 30964)
+++ /trunk/language/ja_JP/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: 日本語 [JP]
-Version: 2.7.1
+Version: 2.7.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=425
 Author: Piwigo team
Index: /trunk/language/mn_MN/common.lang.php
===================================================================
--- /trunk/language/mn_MN/common.lang.php	(revision 30964)
+++ /trunk/language/mn_MN/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Монгол [MN]
-Version: 2.7.1
+Version: 2.7.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=696
 Author: Piwigo team
Index: /trunk/language/nb_NO/common.lang.php
===================================================================
--- /trunk/language/nb_NO/common.lang.php	(revision 30964)
+++ /trunk/language/nb_NO/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Norsk bokmål [NO]
-Version: 2.7.1
+Version: 2.7.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=483
 Author: Piwigo team
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 30964)
+++ /trunk/language/ru_RU/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Русский [RU]
-Version: 2.7.1
+Version: 2.7.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=434
 Author: Piwigo team
Index: /trunk/language/sr_RS/common.lang.php
===================================================================
--- /trunk/language/sr_RS/common.lang.php	(revision 30964)
+++ /trunk/language/sr_RS/common.lang.php	(revision 30965)
@@ -23,5 +23,5 @@
 /*
 Language Name: Српски [SR]
-Version: 2.7.1
+Version: 2.7.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=458
 Author: Piwigo team