Index: branches/2.7/language/de_DE/upgrade.lang.php
===================================================================
--- branches/2.7/language/de_DE/upgrade.lang.php	(revision 29767)
+++ branches/2.7/language/de_DE/upgrade.lang.php	(revision 30966)
@@ -22,20 +22,19 @@
 // +-----------------------------------------------------------------------+
 
-$lang['Upgrade'] = 'Upgrade';
-$lang['Upgrade from version %s to %s'] = 'Upgrade von der Version %s auf %s';
+$lang['Upgrade'] = 'Aktualisierung';
+$lang['Upgrade from version %s to %s'] = 'Aktualisierung von Version %s auf %s';
 $lang['Statistics'] = 'Statistik';
-$lang['total upgrade time'] = 'benötigte Aktualisierungszeit';
+$lang['total upgrade time'] = 'benötigte Aktualisierungsdauer';
 $lang['total SQL time'] = 'gesamte SQL-Zeit';
 $lang['SQL queries'] = 'SQL-Anfragen';
-$lang['Upgrade informations'] = 'Upgrade-Informationen';
+$lang['Upgrade informations'] = 'Aktualisierungs-Informationen';
 $lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Führen Sie eine Datenbanküberprüfung durch [Verwaltung>Werkzeuge>Wartung], falls Probleme auftreten sollten';
-$lang['Only administrator can run upgrade: please sign in below.'] = 'Nur Administratoren dürfen ein Upgrade durchführen. Bitte melden Sie sich unten an.';
-$lang['You do not have access rights to run upgrade'] = 'Sie haben nicht die erforderlichen Rechte, um ein Upgrade durchzuführen';
-$lang['All sub-albums of private albums become private'] = 'Alle Unteralben von privaten Alben werden privat';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Nur Administratoren dürfen eine Aktualisierung durchführen. Bitte melden Sie sich unten an.';
+$lang['You do not have access rights to run upgrade'] = 'Sie haben nicht die erforderlichen Rechte, um eine Aktualisierung durchzuführen';
+$lang['All sub-albums of private albums become private'] = 'Alle Unteralben von privaten Alben werden als privat gekennzeichnet';
 $lang['User permissions and group permissions have been erased'] = 'Alle Benutzer- und Gruppenberechtigungen wurden entfernt';
 $lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Es wurden nur das Vorschaubilder-Präfix und die E-Mail-Adresse des Webmasters aus der vorherigen Konfiguration übernommen';
-$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Diese Seite schlägt vor, die Datenbank Ihrer alten Piwigo-Version zu aktualisieren. Der Upgrade-Assistent hat festgestellt, dass Sie gegenwärtig Version <strong>release %s</strong> (oder eine gleichwertige Version) benutzen.';
-$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Plugins abgeschaltet. Überprüfen Sie, ob Plugin-Updates verfügbar sind, bevor Sie die Plugins wieder aktivieren:';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Diese Seite schlägt vor, die Datenbank Ihrer alten Piwigo-Version zu aktualisieren. Der Aktualisierungs-Assistent hat festgestellt, dass Sie gegenwärtig Version <strong>release %s</strong> (oder eine gleichwertige Version) benutzen.';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Plugins deaktiviert. Überprüfen Sie, ob Plugin-Aktualisierungen verfügbar sind, bevor Sie die Plugins erneut aktivieren:';
 $lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In der Datei <i>%s</i> vor <b>?></b> Folgendes einfügen:';
-$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Themen abgeschaltet. Überprüfen Sie, ob Themen-Updates verfügbar sind, bevor Sie die Themen wieder aktivieren:';
-?>
+$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Als Vorsichtsmaßnahme wurden folgende Themes deaktiviert. Überprüfen Sie, ob Themes-Aktualisierungen verfügbar sind, bevor Sie die Themes erneut aktivieren:';