Index: /extensions/piclens/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/piclens/language/uk_UA/plugin.lang.php	(revision 30983)
+++ /extensions/piclens/language/uk_UA/plugin.lang.php	(revision 30984)
@@ -77,3 +77,40 @@
 $lang['piclens_cat_legend'] = 'Категорія';
 $lang['piclens_favorites_label'] = 'Улюблені';
-?>
+$lang['piclens_recursive_specifique_title'] = 'Особливий метод';
+$lang['piclens_recursive_specifique'] = 'Особливий';
+$lang['piclens_recursive_standard'] = 'Стандартно';
+$lang['piclens_recentpics_label'] = 'Недавні зображення';
+$lang['piclens_recentcats_label'] = 'Недавні категорії';
+$lang['piclens_mostvisited_label'] = 'Найбільш переглянуті';
+$lang['piclens_label_pwgstuff2'] = '<u>Примітка:</u> Ви можете встановити <a href=http://fr.piwigo.org/ext/extension_view.php?eid=190>PWG_Stuff</a> щоб додати PicLens 3DWall block (відображення налаштовується у PWG_Stuff).';
+$lang['piclens_label_pwgstuff1'] = '<u>Примітка:</u> <b>Опція не доступна, оскільки встановлено PWG_Stuff (перевірте опції у PWG_Stuff). Декотрі налаштування можна змінити тут.</b>';
+$lang['piclens_label_orderID'] = 'Id';
+$lang['piclens_label_orderRand'] = 'Випадково';
+$lang['piclens_label_plugins'] = '<b><u><i>%s</i></u> Плагін встановлено </b> та <b>активовано</b>';
+$lang['piclens_label_orderCreDate'] = 'Дата створення';
+$lang['piclens_label_orderAverage'] = 'Середній рейтинг';
+$lang['piclens_label_orderAddDate'] = 'Додати дату';
+$lang['piclens_label_crossdomain2'] = 'Копіювати файл crossdomain.xml у корінь сайту.';
+$lang['piclens_label_crossdomain1'] = '<i>Файл <u>crossdomain.xml</u> вже існує в корені сайту, редагуйте та змінюйте його вручну при необхідності.</i>';
+$lang['piclens_label_TypeTN'] = 'Мініатюра';
+$lang['piclens_label_TypeNorm'] = 'Нормальний';
+$lang['piclens_label_TypeHigh'] = 'Високий';
+$lang['piclens_global_legend'] = 'Глобально';
+$lang['piclens_label_Name1'] = 'Назва мініатюри : розмір';
+$lang['piclens_label_Name2'] = 'Назва мініатюри';
+$lang['piclens_extendeddesc_detail'] = 'Використовуйте тег мови [lang] для опису зображення та тег < !--hidden-- > для приховування категорій та зображень.';
+$lang['piclens_cfg_specials_actived'] = 'Активація Piclens на сторінках "Спеціальні"';
+$lang['piclens_cfg_root_actived'] = 'Активація Piclens на всій галереї (у домашній галереї)';
+$lang['piclens_cfg_plugins_actived'] = 'Активація сімісності з <b><u><i>%s</i></u></b> плагіном';
+$lang['piclens_cfg_piclens_actived'] = 'Активація Cooliris/Piclens плагіну';
+$lang['piclens_cfg_otherplugins_title'] = 'Сумісність з іншими встановленими плагінами';
+$lang['piclens_cfg_lite_actived'] = 'Активація PiclensLite (Piclens без плагіну навігатора)';
+$lang['piclens_bestrated_label'] = 'Кращі за рейтингом';
+$lang['piclens_admin_savefileWN'] = 'Існуючий конфігураційний файл (%s) видалено';
+$lang['piclens_admin_savefileOK'] = 'Параментри збережоно у конфігураційний файл (%s)';
+$lang['piclens_admin_saveOK2'] = 'crossdomain.xml файл вдало скопійовано в корінь сайту';
+$lang['piclens_admin_saveERR4'] = 'Cooliris 3D Wall вимкнено, оскільки встановлено PWG Stuff';
+$lang['piclens_admin_restoreOK'] = 'Параметри з конфігураційного файлу (%s) збережені у базі даних';
+$lang['piclens_cfg_title'] = 'Piclens : Налаштування';
+$lang['piclens_label_Name4'] = 'Нічого';
+$lang['piclens_label_Desc1'] = 'Нічого';