Index: trunk/language/de_DE/admin.lang.php
===================================================================
--- trunk/language/de_DE/admin.lang.php	(revision 31018)
+++ trunk/language/de_DE/admin.lang.php	(revision 31020)
@@ -164,5 +164,5 @@
 $lang['Users'] = 'Benutzer';
 $lang['Validate'] = 'Freigeben';
-$lang['Validation'] = 'Freigabe der Kommentare durch den Administrator';
+$lang['Validation'] = 'Freigabe der Kommentare durch den Administrator erforderlich';
 $lang['Version'] = 'Version';
 $lang['Virtual albums to move'] = 'Eines oder mehrere virtuelle Alben auswählen, um sie zu verschieben.';
@@ -199,5 +199,5 @@
 $lang['dissociate from group'] = 'von Gruppe abtrennen';
 $lang['Album updated successfully'] = 'Informationen des Albums wurden erfolgreich aktualisiert.';
-$lang['photos per page'] = 'Fotos je Seite';
+$lang['photos per page'] = 'Bilder pro Seite';
 $lang['High definition enabled'] = 'Hohe Auflösung aktiviert';
 $lang['File'] = 'Datei';
@@ -237,5 +237,5 @@
 $lang['If you encounter problems or have any question, please send a message to'] = 'Bei Problemen oder Fragen eine E-Mail senden an';
 $lang['[NBM] Problems or questions'] = '[NBM] Probleme oder Fragen';
-$lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Der Webmaster Sie aus der E-Mail-Benachrichtigung ausgetragen.';
+$lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = 'Der Webmaster hat Sie aus der E-Mail-Benachrichtigungsliste ausgetragen.';
 $lang['You have unsubscribed from receiving notifications by mail.'] = 'Sie haben sich aus der E-Mail-Benachrichtigung ausgetragen.';
 $lang[', click on'] = ', auf diesen Link klicken:';
@@ -353,5 +353,5 @@
 $lang['errors during synchronization'] = 'Fehler während der Synchronisation';
 $lang['albums added in the database'] = 'Alben in der Datenbank hinzugefügt';
-$lang['photos added in the database'] = 'der Datenbank hinzugefügte Fotos';
+$lang['photos added in the database'] = 'In der Datenbank hinzugefügte Fotos';
 $lang['photos updated in the database'] = 'in der Datenbank aktualisierte Fotos';
 $lang['Search for new images in the directories'] = 'Nach neuen Fotos in den vorhandenen Verzeichnissen suchen';
@@ -552,5 +552,5 @@
 $lang['Set as default theme for unregistered and new users'] = 'Standardthema für unregistrierte und neue Benutzer festlegen';
 $lang['unknown'] = 'unbekannt';
-$lang['Upload Photos'] = 'Fotos hochladen';
+$lang['Upload Photos'] = 'Bilder hochladen';
 $lang['Drop into album'] = 'In das Album hochladen';
 $lang['+ Add an upload box'] = '+ Eine weitere Uploadbox hinzufügen';
@@ -607,5 +607,5 @@
 $lang['Activate Navigation Bar'] = 'Navigationsleiste aktivieren';
 $lang['Activate Navigation Thumbnails'] = 'Navigationsvorschaubilder aktivieren';
-$lang['Activate icon "%s"'] = 'Icon »%s« aktivieren';
+$lang['Activate icon "%s"'] = '»%s«-Symbol anzeigen';
 $lang['Photo Properties'] = 'Fotoeigenschaften';
 $lang['Allow user customization'] = 'Anpassungen durch Benutzer erlauben';
@@ -722,6 +722,6 @@
 $lang['No results'] = 'Keine Ergebnisse';
 $lang['Searching...'] = 'Suche...';
-$lang['Type in a search term'] = 'Geben Sie bitte einen Suchbegriff ein';
-$lang['Activate icon "new" next to albums and pictures'] = 'Das Icon »Neu« neben den Alben und Fotos aktivieren';
+$lang['Type in a search term'] = 'Suchbegriff eingeben';
+$lang['Activate icon "new" next to albums and pictures'] = 'Das »Neu«-Symbolzeichen bei neuen Alben und Fotos anzeigen';
 $lang['Deactivate all'] = 'Alles deaktivieren';
 $lang['Default photos order'] = 'Voreingestellte Fotoanordnung';
@@ -950,5 +950,5 @@
 $lang['Basic settings'] = 'Grundeinstellungen';
 $lang['General'] = 'Allgemein';
-$lang['Mail theme'] = 'Mail-Theme';
+$lang['Mail theme'] = 'E-Mail-Theme';
 $lang['%d of %d users selected'] = '%d von %d Benutzern ausgewählt';
 $lang['(filtered from %s total users)'] = '(von insgesamt %s Benutzern gefiltert)';
@@ -974,5 +974,5 @@
 $lang['Open user details'] = 'Benutzerdetails anzeigen';
 $lang['Activate it now'] = 'Jetzt aktivieren';
-$lang['Allow users to add a link to their website'] = 'Benutzer erlauben einen Link Ihrer Webseite einzufügen';
+$lang['Allow users to add a link to their website'] = 'Benutzer erlauben, einen Link Ihrer Webseite einzufügen';
 $lang['Impossible to deactivate the default theme.'] = 'Es ist nicht möglich, das Standard-Theme zu deaktivieren';
 $lang['Mail address is mandatory for registration'] = 'E-Mail-Adresse wird für die Registrierung benötigt';