Index: /extensions/ShareThis/changelog.txt
===================================================================
--- /extensions/ShareThis/changelog.txt	(revision 31135)
+++ /extensions/ShareThis/changelog.txt	(revision 31136)
@@ -18,4 +18,9 @@
 
 === Changelog ===
+version 1.0.4
++ Added en_UK language folder to allow plugin translation
+- Fixed extension repository link to allow proper plugin update detection 
+- Fixed issue when under some coditions plugin parameters are not present on plugin update
+
 version 1.0.3
 + ALL: Added better reference for OG: metadata
Index: /extensions/ShareThis/language/en_UK/description.txt
===================================================================
--- /extensions/ShareThis/language/en_UK/description.txt	(revision 31136)
+++ /extensions/ShareThis/language/en_UK/description.txt	(revision 31136)
@@ -0,0 +1,1 @@
+Add "Share This" functionality to your site
Index: /extensions/ShareThis/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ShareThis/language/en_UK/plugin.lang.php	(revision 31136)
+++ /extensions/ShareThis/language/en_UK/plugin.lang.php	(revision 31136)
@@ -0,0 +1,25 @@
+<?php
+
+$lang['Changelog'] = 'Changelog';
+$lang['Coffee Fund'] = 'Coffee Fund';
+$lang['Facebook'] = 'Facebook';
+$lang['Follow'] = 'Follow';
+$lang['Google+'] = 'Google+';
+$lang['Pinterest'] = 'Pinterest';
+$lang['Plugin Settings are saved'] = 'Plugin Settings are saved';
+$lang['Post to Facebook'] = 'Post to Facebook';
+$lang['Post to Google Plus'] = 'Post to Google Plus';
+$lang['Post to Pinterest'] = 'Post to Pinterest';
+$lang['Post to Tumblr'] = 'Post to Tumblr';
+$lang['Post to Twitter'] = 'Post to Twitter';
+$lang['Share on Facebook'] = 'Share on Facebook';
+$lang['Share on Google+'] = 'Share on Google+';
+$lang['Share on Pinterest'] = 'Share on Pinterest';
+$lang['Share on Tumblr'] = 'Share on Tumblr';
+$lang['Share on Twitter'] = 'Share on Twitter';
+$lang['ShareThis'] = 'ShareThis';
+$lang['Share This'] = 'Share This';
+$lang['Tumblr'] = 'Tumblr';
+$lang['Twitter'] = 'Twitter';
+
+?>
Index: /extensions/ShareThis/main.inc.php
===================================================================
--- /extensions/ShareThis/main.inc.php	(revision 31135)
+++ /extensions/ShareThis/main.inc.php	(revision 31136)
@@ -2,7 +2,7 @@
 /*
 Plugin Name: ShareThis
-Version: 1.0.3
+Version: 1.0.4
 Description: Add "Share This" functionality to your site
-//Plugin URI: http://piwigo.org/ext/extension_view.php?eid=543
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=793
 Author: Serguei Dosyukov
 Author URI: http://blog.dragonsoft.us
@@ -15,5 +15,5 @@
 // +-----------------------------------------------------------------------+
 
-define('SHARETHIS_VERSION', '1.0.3');
+define('SHARETHIS_VERSION', '1.0.4');
 define('SHARETHIS_ID',      basename(dirname(__FILE__)));
 define('SHARETHIS_PATH' ,   PHPWG_PLUGINS_PATH . SHARETHIS_ID . '/');
@@ -94,5 +94,5 @@
     "icon_class"  => "fa fa-share-alt",
     "title"       => "{'Share This'|@translate}",
-    "content"     => '<span>{\'Share This:\'|@translate}</span>'
+    "content"     => '<span>{\'Share This\'|@translate}:</span>'
                        . '{html_head}<!-- START OPEN GRAPH TAGS-->{"\n"}'
                        . '<meta property="og:title" content="{$GALLERY_TITLE} | {$PAGE_TITLE}{if $current->author} | by {$current->author}{/if}" />{"\n"}'
Index: /extensions/ShareThis/maintain.class.php
===================================================================
--- /extensions/ShareThis/maintain.class.php	(revision 31135)
+++ /extensions/ShareThis/maintain.class.php	(revision 31136)
@@ -3,9 +3,11 @@
 
 class sharethis_maintain extends PluginMaintain {
+
   private $default_conf = array(
     'facebook'   => false,
     'pinterest'  => false,
     'twitter'    => false,
-    'googleplus' => false
+    'googleplus' => false,
+    'tumblr'     => false
   );
 
@@ -14,7 +16,5 @@
   }
 
-  /**
-   * Plugin installation
-   */
+  /**** Plugin installation */
   function install($plugin_version, &$errors=array()) {
     global $conf;
@@ -26,8 +26,10 @@
       $old_conf = safe_unserialize($conf['sharethis']);
 
-      //if (empty($old_conf['option3']))
-      //{ // use case: this parameter was added in a new version
-      //  $old_conf['option3'] = 'two';
-      //}
+      foreach ($this->default_conf as $key => $value):
+        if (array_key_exists($key, $old_conf)):
+        else:
+          $old_conf[$key] = $value;
+        endif;
+      endforeach;
 
       conf_update_param('sharethis', $old_conf, true);
@@ -35,26 +37,16 @@
   }
 
-  /**
-   * Plugin activation
-   */
-  function activate($plugin_version, &$errors=array()) {
-  }
+  /**** Plugin activation */
+  function activate($plugin_version, &$errors=array()) { }
 
-  /**
-   * Plugin deactivation
-   */
-  function deactivate() {
-  }
+  /**** Plugin deactivation */
+  function deactivate() { }
 
-  /**
-   * Plugin (auto)update
-   */
+  /**** Plugin (auto)update */
   function update($old_version, $new_version, &$errors=array()) {
     $this->install($new_version, $errors);
   }
 
-  /**
-   * Plugin uninstallation
-   */
+  /**** Plugin uninstallation */
   function uninstall() {
     // delete configuration