Index: /extensions/GDThumb/language/da_DK/description.txt
===================================================================
--- /extensions/GDThumb/language/da_DK/description.txt	(revision 31148)
+++ /extensions/GDThumb/language/da_DK/description.txt	(revision 31148)
@@ -0,0 +1,1 @@
+Vis miniaturebilleder som et kluddetæppe.
Index: /extensions/GDThumb/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/GDThumb/language/da_DK/plugin.lang.php	(revision 31148)
+++ /extensions/GDThumb/language/da_DK/plugin.lang.php	(revision 31148)
@@ -0,0 +1,65 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2015 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Title Display Mode (Photo)'] = 'Visningstilstand af titel (foto)';
+$lang['Use Description if Set'] = 'Anvend beskrivelse hvis tilgængelig';
+$lang['Vertical'] = 'Vertikal';
+$lang['Metadata Display Mode'] = 'Visningstilstand af metadata';
+$lang['Normalize Photo Title'] = 'Normaliser fototitel';
+$lang['Overlay'] = 'Overlejring';
+$lang['Overlay Bottom'] = 'Overlejring, bund';
+$lang['Overlay Bottom (Static)'] = 'Overlejring, bund (statisk)';
+$lang['Overlay Ex'] = 'Overlejring, ex';
+$lang['Overlay Top'] = 'Overlejring, top';
+$lang['Overlay Top (Static)'] = 'Overlejring, top (statisk)';
+$lang['Pause'] = 'Pause';
+$lang['Photo # if FileName Detected'] = 'Fotonummer if filnavn opdaget';
+$lang['Pre-cache thumbnails'] = 'Præcaching af miniaturebilleder';
+$lang['Prevent word wrap'] = 'Forhindr orddeling';
+$lang['Purge thumbnails cache'] = 'Tøm cache med miniaturebilleder';
+$lang['Scale thumbnails'] = 'Skaler miniturebilleder';
+$lang['Show thumbnails caption'] = 'Vis billedtekst til miniaturebilleder';
+$lang['Square'] = 'Kvadrat';
+$lang['Start'] = 'Start';
+$lang['Stop'] = 'Stop';
+$lang['Thumbnails max height'] = 'Maksimal størrelse på thumbnails';
+$lang['Title Display Mode (Album)'] = 'Visningstilstand af titel (album)';
+$lang['%d file'] = '%d fil';
+$lang['%d files'] = '%d filer';
+$lang['Animate thumbnail on hover'] = 'Animer miniturebillede ved hover';
+$lang['Block for Panoramic Photo Page'] = 'Blok til Panoramic Photo Page';
+$lang['Cache Informations'] = 'Cacheoplysninger';
+$lang['Cache have been generated'] = 'Cache er oprettet';
+$lang['Cache the big thumbnails (recommended)'] = 'Cache store miniaturebilleder (anbefalet)';
+$lang['Changelog'] = 'Ændringslog';
+$lang['Coffee Fund'] = 'Kaffekasse';
+$lang['Crop (Default)'] = 'Beskær (standard)';
+$lang['Delete images in GDThumb cache.'] = 'Slet billeder i GDThumb-cache.';
+$lang['Do not Normalize (Default)'] = 'Normaliser ikke (standard)';
+$lang['Double the size of the first thumbnail'] = 'Fordobl størrelsen på det første miniaturebillede';
+$lang['Finds images that have not been cached and creates the cached version.'] = 'Finder billeder der ikke er cachet samt opretter cachet udgave.';
+$lang['Follow'] = 'Følg';
+$lang['Horizontal (Default)'] = 'Horisontal (standard)';
+$lang['Margin between thumbnails'] = 'Margen mellem miniaturebilleder';
+$lang['Masonry Type'] = 'Murværkstype';
+$lang['Merged (Default)'] = 'Sammenlagt (standard)';
+$lang['Merged with Description'] = 'Sammenlagt med beskrivelse';