Index: /extensions/GDThumb/language/pt_BR/description.txt
===================================================================
--- /extensions/GDThumb/language/pt_BR/description.txt	(revision 31150)
+++ /extensions/GDThumb/language/pt_BR/description.txt	(revision 31150)
@@ -0,0 +1,1 @@
+Exibir miniaturas como retalhos.
Index: /extensions/GDThumb/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/GDThumb/language/pt_BR/plugin.lang.php	(revision 31150)
+++ /extensions/GDThumb/language/pt_BR/plugin.lang.php	(revision 31150)
@@ -0,0 +1,65 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2015 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Title Display Mode (Photo)'] = 'Modo de Apresentação do Título (Foto)';
+$lang['Use Description if Set'] = 'Utilizar Descrição se Definida';
+$lang['Vertical'] = 'Vertical';
+$lang['Metadata Display Mode'] = 'Modo de Exibição de Metadados';
+$lang['Normalize Photo Title'] = 'Normalizar Título de Foto';
+$lang['Overlay'] = 'Sobreposição';
+$lang['Overlay Bottom'] = 'Botão de Sobreposição';
+$lang['Overlay Bottom (Static)'] = 'Botão de Sobreposição (Estático)';
+$lang['Overlay Ex'] = 'Sobreposição Ex';
+$lang['Overlay Top'] = 'Sobreposição Topo';
+$lang['Overlay Top (Static)'] = 'Sobreposição Topo (Estático)';
+$lang['Pause'] = 'Pausa';
+$lang['Photo # if FileName Detected'] = 'Foto # se FileName for Detectado';
+$lang['Pre-cache thumbnails'] = 'Miniaturas pré-cache';
+$lang['Prevent word wrap'] = 'Impedir envolver palavra';
+$lang['Purge thumbnails cache'] = 'Limpar cache de miniaturas';
+$lang['Scale thumbnails'] = 'Escala de miniaturas';
+$lang['Show thumbnails caption'] = 'Mostrar captura de miniaturas';
+$lang['Square'] = 'Quadrado';
+$lang['Start'] = 'Início';
+$lang['Stop'] = 'Parar';
+$lang['Thumbnails max height'] = 'Altura máxima de miniaturas';
+$lang['Title Display Mode (Album)'] = 'Modo de Apresentação do Título (Album)';
+$lang['%d file'] = '%d arquivo';
+$lang['%d files'] = '%d arquivos';
+$lang['Animate thumbnail on hover'] = 'Animar miniatura em foco';
+$lang['Block for Panoramic Photo Page'] = 'Bloco para Página de Foto Panorâmica';
+$lang['Cache Informations'] = 'Informações Cache';
+$lang['Cache have been generated'] = 'Cache foi gerado';
+$lang['Cache the big thumbnails (recommended)'] = 'Cache as grandes miniaturas (recomendado)';
+$lang['Changelog'] = 'Registro de alterações';
+$lang['Coffee Fund'] = 'Fundo do café';
+$lang['Crop (Default)'] = 'Cortar (Padrão)';
+$lang['Delete images in GDThumb cache.'] = 'Apague as imagens no cache GDThumb.';
+$lang['Do not Normalize (Default)'] = 'Não Normalize (Padrão)';
+$lang['Double the size of the first thumbnail'] = 'O dobro do tamanho da primeira miniatura';
+$lang['Finds images that have not been cached and creates the cached version.'] = 'Encontra imagens que não tenham sido armazenadas em cache e crie a versão em cache.';
+$lang['Follow'] = 'Seguir';
+$lang['Horizontal (Default)'] = 'Horizontal (Padrão)';
+$lang['Margin between thumbnails'] = 'Margem entre miniaturas';
+$lang['Masonry Type'] = 'Tipo de Parede';
+$lang['Merged (Default)'] = 'Mesclado (Padrão)';
+$lang['Merged with Description'] = 'Mesclado com Descrição';