Index: /extensions/GDThumb/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/GDThumb/language/ru_RU/plugin.lang.php	(revision 31154)
+++ /extensions/GDThumb/language/ru_RU/plugin.lang.php	(revision 31154)
@@ -0,0 +1,65 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2015 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Overlay Bottom (Static)'] = 'Кнопка "Наложение" (статичная)';
+$lang['Overlay Ex'] = 'Overlay Ex';
+$lang['Overlay Top'] = 'Наложение сверху';
+$lang['Overlay Top (Static)'] = 'Наложение сверху (статичное)';
+$lang['Photo # if FileName Detected'] = '# изображения, если найдено имя файла';
+$lang['Follow'] = 'Переход';
+$lang['Overlay'] = 'Наложение';
+$lang['Overlay Bottom'] = 'Кнопка "Наложение"';
+$lang['Finds images that have not been cached and creates the cached version.'] = 'Поиск изображений, которых нет в кэше, и создание кэша для них';
+$lang['Block for Panoramic Photo Page'] = 'Блок для панорамных изображений';
+$lang['%d files'] = '%d файлов';
+$lang['%d file'] = '%d файл';
+$lang['Use Description if Set'] = 'Использовать описание (если есть)';
+$lang['Title Display Mode (Album)'] = 'Альбомный режим отображения';
+$lang['Title Display Mode (Photo)'] = 'Книжный режим отображения';
+$lang['Show thumbnails caption'] = 'Показывать заголовки миниатюр';
+$lang['Purge thumbnails cache'] = 'Очистить кэш миниатюр';
+$lang['Prevent word wrap'] = 'Запрет перенос слов по слогам';
+$lang['Scale thumbnails'] = 'Масштаб миниатюр';
+$lang['Vertical'] = 'Вертикально';
+$lang['Square'] = 'Квадрат';
+$lang['Start'] = 'Старт';
+$lang['Stop'] = 'Стоп';
+$lang['Thumbnails max height'] = 'Максимальная высота миниатюры';
+$lang['Merged (Default)'] = 'Слияние (по умолчанию)';
+$lang['Merged with Description'] = 'Слияние, с описанием';
+$lang['Metadata Display Mode'] = 'Режим отображения метаданных';
+$lang['Normalize Photo Title'] = 'Нормализация заголовка изображения';
+$lang['Pause'] = 'Пауза';
+$lang['Pre-cache thumbnails'] = 'Предварительное кэширование миниатюр';
+$lang['Margin between thumbnails'] = 'Разрыв между миниатюрами';
+$lang['Masonry Type'] = 'Стиль кирпичной кладки';
+$lang['Horizontal (Default)'] = 'Горизонтально (по умолчанию)';
+$lang['Double the size of the first thumbnail'] = 'Двойной размер первой миниатюры';
+$lang['Do not Normalize (Default)'] = 'Не нормализовать (по умолчанию)';
+$lang['Delete images in GDThumb cache.'] = 'Удаление изображений из кэша GDThumb';
+$lang['Crop (Default)'] = 'Подрезка (по умолчанию) ';
+$lang['Changelog'] = 'История изменений';
+$lang['Coffee Fund'] = 'Coffee Fund';
+$lang['Cache the big thumbnails (recommended)'] = 'Кэшировать большие эскизы (рекомендуется)';
+$lang['Cache have been generated'] = 'Кэш сгенерирован';
+$lang['Cache Informations'] = 'Информация кэша';
+$lang['Animate thumbnail on hover'] = 'Анимация парЯщих миниатюр';