Index: /extensions/GDThumb/language/nl_NL/description.txt
===================================================================
--- /extensions/GDThumb/language/nl_NL/description.txt	(revision 31169)
+++ /extensions/GDThumb/language/nl_NL/description.txt	(revision 31169)
@@ -0,0 +1,1 @@
+Toon de miniaturen als lappendeken.
Index: /extensions/GDThumb/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/GDThumb/language/nl_NL/plugin.lang.php	(revision 31169)
+++ /extensions/GDThumb/language/nl_NL/plugin.lang.php	(revision 31169)
@@ -0,0 +1,65 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2015 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Coffee Fund'] = 'Koffie Fonds';
+$lang['Follow'] = 'Volgen';
+$lang['Vertical'] = 'Vertikaal';
+$lang['Use Description if Set'] = 'Gebruik de Beschrijving als deze is ingesteld';
+$lang['Title Display Mode (Photo)'] = 'Titel Weergave Modus (Foto)';
+$lang['Title Display Mode (Album)'] = 'Titel Weergave Modus (Album)';
+$lang['Thumbnails max height'] = 'Maximale hoogte van de miniaturen';
+$lang['Square'] = 'Maak vierkant';
+$lang['Stop'] = 'Stop';
+$lang['Start'] = 'Start';
+$lang['Show thumbnails caption'] = 'Toon opschrift van de miniaturen';
+$lang['Scale thumbnails'] = 'Schaal de miniaturen';
+$lang['Purge thumbnails cache'] = 'Maak de miniatuur cache leeg';
+$lang['Prevent word wrap'] = 'Voorkom afbreking van regels';
+$lang['Pre-cache thumbnails'] = 'Pre-cache miniaturen';
+$lang['Photo # if FileName Detected'] = 'Foto # als de Bestandsnaam wordt gesignaleerd';
+$lang['Pause'] = 'Pauze';
+$lang['Overlay Top (Static)'] = 'Bovenkant van de Overtrek (Vast)';
+$lang['Overlay Top'] = 'Bovenkant van de Overtrek';
+$lang['Overlay Ex'] = 'Overtrek Ex';
+$lang['Overlay Bottom (Static)'] = 'Onderkant van de Overtrek (Vast)';
+$lang['Overlay Bottom'] = 'Onderkant van de Overtrek';
+$lang['Overlay'] = 'Overtrek';
+$lang['Normalize Photo Title'] = 'Normaliseer de Foto Titel';
+$lang['Metadata Display Mode'] = 'Modus van de Metadata Weergave';
+$lang['Merged with Description'] = 'Samengevoegd met beschrijving';
+$lang['Merged (Default)'] = 'Samengevoegd (Standaard)';
+$lang['Masonry Type'] = 'Masonry Type';
+$lang['Margin between thumbnails'] = 'Marge tussen de miniaturen';
+$lang['Horizontal (Default)'] = 'Horizontaal (Standaard)';
+$lang['Finds images that have not been cached and creates the cached version.'] = 'Vindt afbeeldingen die niet gecached zijn en maat een gecachte versie';
+$lang['Double the size of the first thumbnail'] = 'Verdubbel de grootte van de eerste miniatuur';
+$lang['Do not Normalize (Default)'] = 'Niet normaliseren (Standaard)';
+$lang['Delete images in GDThumb cache.'] = 'Verwijder afbeeldingen in GD Miniatuur cache';
+$lang['Crop (Default)'] = 'Bijsnijden (Standaard)';
+$lang['Changelog'] = 'Logboek van veranderingen';
+$lang['Cache have been generated'] = 'De Cache is aangemaakt';
+$lang['Cache the big thumbnails (recommended)'] = 'Cache de grote miniaturen (aanbevolen)';
+$lang['Cache Informations'] = 'Cache Informatie';
+$lang['Block for Panoramic Photo Page'] = 'Blokkade voor de Panorama Foto Pagina';
+$lang['Animate thumbnail on hover'] = 'verlevendig de miniatuur als je met de muis erover heen gaat';
+$lang['%d files'] = '%d bestanden';
+$lang['%d file'] = '%d bestand';