Index: extensions/greydragon/admin/admin.tpl
===================================================================
--- extensions/greydragon/admin/admin.tpl	(revision 31208)
+++ extensions/greydragon/admin/admin.tpl	(revision 31232)
@@ -197,4 +197,5 @@
       <li><label><span class="graphicalCheckbox {if $options.p_rootpage_navarr == "on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_rootpage_navarr" id="p_rootpage_navarr" type="checkbox" value="on" {if $options.p_rootpage_navarr == "on"}checked="checked"{/if}>{'Display navigation arrows'|@translate}</label></li>
       <li><label><span class="graphicalCheckbox {if $options.p_rootpage_navctr == "on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_rootpage_navctr" id="p_rootpage_navctr" type="checkbox" value="on" {if $options.p_rootpage_navctr == "on"}checked="checked"{/if}>{'Display navigation controls'|@translate}</label></li>
+      <li><label><span class="graphicalCheckbox {if $options.p_rootpage_link == "on"}icon-check{else}icon-check-empty{/if}">&nbsp;</span><input name="p_rootpage_link" id="p_rootpage_link" type="checkbox" value="on" {if $options.p_rootpage_link == "on"}checked="checked"{/if}>{'Include "Click to Enter" link'|@translate}</label></li>
     </ul>
   </fieldset>
Index: extensions/greydragon/admin/css/styles.css
===================================================================
--- extensions/greydragon/admin/css/styles.css	(revision 31208)
+++ extensions/greydragon/admin/css/styles.css	(revision 31232)
@@ -5,5 +5,5 @@
 
 #menubar dt { padding-top: 0; padding-bottom: 0; padding-left: 12px; background: #222; color: #EEE; line-height: 30px; }
-#menubar dt:hover { background: #000; color: #2EA2CC; }
+#menubar dt:hover, #menubar li:hover { background: #000; color: #2EA2CC; }
 #menubar dl, #menubar dl.last { border: none; background-color: #222; }
 #menubar .ui-accordion-content a { color: #EEE; }
@@ -12,13 +12,13 @@
 #menubar .ui-accordion-content-active { background: #333; color: #EEE; }
 
-/* Piwigo 2.7 support */
 #menubar dl.menu-focused dt { background: #000; color: #EEE; }
 #menubar dl.menu-focused dt.menu-header-active, #menubar dt.menu-header-active { background: #0074A2; color: #EEE; }
-#menubar ul { background: #333; color: #EEE; }
-#menubar li a { color: #EEE; }
+#menubar ul { line-height: 30px; background: #333; color: #EEE; }
+#menubar li { line-height: 30px; height: 30px; padding-left: 14px; }
+#menubar li a { color: rgba(240, 245, 250, 0.7); acolor: #EEE; }
+#menubar li a:hover { color: #00B9EB; }
+#menubar ul.scroll li a.active-on { font-weight: bold; color: #FFF; }
 
 #pluginsMenuSeparator { margin: 0; width: auto; border-bottom: none; border-left: none;}
-#menubar ul { line-height: 30px; }
-#menubar li { line-height: 30px; height: 30px; padding-left: 14px; }
 
 .content { font-size: 0.9em; }
@@ -60,15 +60,11 @@
 .content select { width: 51.5%; margin-right: 0.4em; padding: 2px 2px 2px 4px; background-color: #FFF; color: #555555; border: 1px solid #ccc; }
 
-.content input[type='submit'], .content input[type='button'] { display: inline-block; width: 120px; min-width: 100px; margin-bottom: 1em; line-height: 1.8em;
-    padding: 2px 10px 1px;
-    cursor: pointer;
-    color: #555;
-    border-radius: 3px; -webkit-border-radius: 3px; -moz-border-radius: 3px; 
-    white-space: nowrap;
-    box-sizing: border-box;
-    background: none repeat scroll 0% 0% #F7F7F7;
-    box-shadow: 0px 1px 0px #FFF inset, 0px 1px 0px rgba(0, 0, 0, 0.08);
+.content input[type='submit'], .content input[type='button'] { font-weight: normal; display: inline-block; width: 120px; min-width: 100px; margin-bottom: 1em; line-height: 1.8em;
+    padding: 2px 10px 1px; cursor: pointer; color: #555; border-radius: 3px; -webkit-border-radius: 3px; -moz-border-radius: 3px; 
+    white-space: nowrap; box-sizing: border-box; background: none repeat scroll 0% 0% #F7F7F7; box-shadow: 0px 1px 0px #FFF inset, 0px 1px 0px rgba(0, 0, 0, 0.08);
     vertical-align: top;
 }
+
+.content input[type='submit'] { background-color: #0091CD; color: #FFF; border-color: #0073AA; box-shadow: 0px 1px 0px rgba(120, 200, 230, 0.6) inset; }
 
 form.properties label.textarea { display: inline-block; width: 89%; margin: 0; line-height: 1em; }
Index: extensions/greydragon/admin/js/admin.js
===================================================================
--- extensions/greydragon/admin/js/admin.js	(revision 31208)
+++ extensions/greydragon/admin/js/admin.js	(revision 31232)
@@ -8,3 +8,16 @@
   });
   $(".ajax").colorbox({ scrolling: true, maxWidth: '90%', maxHeight: '90%' });
+
+  var page = $(location).attr('href');
+  var pathName = page.substring(page.lastIndexOf('/') + 1, page.length);
+  if (pathName) {
+    $('#pwgMain #menubar dl ul.scroll li a').each(function(){
+      var href = $(this).attr('href');
+      if (pathName.indexOf(href) == 0) {
+        $(this).addClass('active-on');
+      } else {
+        $(this).removeClass('active-on');
+      }
+    });
+  }
 });
Index: extensions/greydragon/changelog.txt
===================================================================
--- extensions/greydragon/changelog.txt	(revision 31208)
+++ extensions/greydragon/changelog.txt	(revision 31232)
@@ -18,4 +18,12 @@
 
 === Changelog ===
+version 1.2.26
++ ADMIN: New option - Include "Click to Enter" link for Root Page
++ ADMIN: Small style improvements for styles and menu support
++ CSS: Added theme-<colorpack> class to body element allowing individual styling with 3rd party plugins
++ CSS: Small style improvements
++ Translation support: Added he_IL, th_TH, el_GR, zh_CN language
++ Added support for translation of Home Page Quote
+
 version 1.2.25
 + ADMIN: Small style improvements
Index: extensions/greydragon/css/colorpack/blackhawk/styles.css
===================================================================
--- extensions/greydragon/css/colorpack/blackhawk/styles.css	(revision 31208)
+++ extensions/greydragon/css/colorpack/blackhawk/styles.css	(revision 31232)
@@ -21,4 +21,5 @@
 #g-theme-logo { background: transparent url('images/colorpack.png') no-repeat; }
 #g-footer a { color: #6392cf; }
+#g-footer a:hover { color: #fff; }
 
 #content, .content { background-color: #000; }
@@ -70,2 +71,6 @@
 #cboxLoadedContent { background: #222 !important; }
 #cboxPrevious, #cboxNext, #cboxSlideshow, #cboxClose { background-image: url(images/controls.png); }
+
+.gdHomeEnter { border: 1px solid #ccc; background: #000; }
+.gdHomeEnter a { color: #6392cf; }
+.gdHomeEnter a:hover { color: #fff; }
Index: extensions/greydragon/css/colorpack/greydragon/styles.css
===================================================================
--- extensions/greydragon/css/colorpack/greydragon/styles.css	(revision 31208)
+++ extensions/greydragon/css/colorpack/greydragon/styles.css	(revision 31232)
@@ -21,4 +21,5 @@
 #g-theme-logo { background: transparent url('images/colorpack.png') no-repeat; }
 #g-footer a { color: #6392cf; }
+#g-footer a:hover { color: #fff; }
 
 #content, .content { background-color: #1A2022; }
@@ -70,2 +71,6 @@
 #cboxLoadedContent { background: #222 !important; }
 #cboxPrevious, #cboxNext, #cboxSlideshow, #cboxClose { background-image: url(images/controls.png); }
+
+.gdHomeEnter { border: 1px solid #ccc; background: #1A2022; }
+.gdHomeEnter a { color: #6392cf; }
+.gdHomeEnter a:hover { color: #fff; }
Index: extensions/greydragon/css/colorpack/slateblue/styles.css
===================================================================
--- extensions/greydragon/css/colorpack/slateblue/styles.css	(revision 31208)
+++ extensions/greydragon/css/colorpack/slateblue/styles.css	(revision 31232)
@@ -21,4 +21,5 @@
 #g-theme-logo { background: transparent url('images/colorpack.png') no-repeat; }
 #g-footer a { color: #6392cf; }
+#g-footer a:hover { color: #fff; }
 
 #content, .content { background-color: #1c242e; }
@@ -69,2 +70,6 @@
 #cboxLoadedContent { background: #1a1e27 !important; }
 #cboxPrevious, #cboxNext, #cboxSlideshow, #cboxClose { background-image: url(images/controls.png); }
+
+.gdHomeEnter { border: 1px solid #ccc; background: #1c242e; }
+.gdHomeEnter a { color: #6392cf; }
+.gdHomeEnter a:hover { color: #fff; }
Index: extensions/greydragon/css/colorpack/whitehawk/styles.css
===================================================================
--- extensions/greydragon/css/colorpack/whitehawk/styles.css	(revision 31208)
+++ extensions/greydragon/css/colorpack/whitehawk/styles.css	(revision 31232)
@@ -21,4 +21,5 @@
 #g-theme-logo { background: transparent url('images/colorpack.png') no-repeat; }
 #g-footer a { color: #000; }
+#g-footer a:hover { color: #222; }
 
 #content, .content { background-color: #FFF; }
@@ -76,2 +77,6 @@
 #cboxWrapper       { background: #F1F1F1 !important; border: 1px solid #666; }
 #cboxPrevious, #cboxNext, #cboxSlideshow, #cboxClose { background-image: url(images/controls.png); }
+
+.gdHomeEnter { border: 1px solid #ccc; background: #ccc; }
+.gdHomeEnter a { color: #222; }
+.gdHomeEnter a:hover { color: #2a6496; }
Index: extensions/greydragon/css/styles.css
===================================================================
--- extensions/greydragon/css/styles.css	(revision 31208)
+++ extensions/greydragon/css/styles.css	(revision 31232)
@@ -75,6 +75,8 @@
 #g-footer #g-credits.g-text-only #g-gallery-logo, #g-footer #g-credits.g-text-only #g-theme-logo { text-indent: 0; width: auto; background: none; }
 
+#gdHomeContent { position: relative; }
 .gdHomeQuote { float: left; width: 300px; font-size: 110%; }
 .gdHomePagePhoto {text-align: center; margin: 2em 0 20px 0;}
+.gdHomeEnter { position: absolute; right: 6em; top: 1em; z-index: 20; padding: 0.2em 0.5em; }
 
 #g-logo { display: inline-block; }
Index: extensions/greydragon/include/greydragon.class.php
===================================================================
--- extensions/greydragon/include/greydragon.class.php	(revision 31208)
+++ extensions/greydragon/include/greydragon.class.php	(revision 31232)
@@ -3,5 +3,5 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-define('GDTHEME_VERSION', '1.2.25');
+define('GDTHEME_VERSION', '1.2.26');
 
 define("QUOTES_NONE",   FALSE);
@@ -71,4 +71,5 @@
       "p_rootpage"         => array("value" => "off",    "quotes" => QUOTES_NONE),
       "p_rootpage_desc"    => array("value" => null,     "quotes" => QUOTES_SAFE | QUOTES_LAZY),
+      "p_rootpage_link"    => array("value" => "off",    "quotes" => QUOTES_NONE),
       "p_rootpage_src"     => array("value" => "slider", "quotes" => QUOTES_NONE),
       "p_rootpage_size"    => array("value" => "M",      "quotes" => QUOTES_NONE),
@@ -289,4 +290,5 @@
 
     $r_desc    = $this->getOption('p_rootpage_desc');
+    $r_link    = $this->getOption('p_rootpage_link');
     $r_scr     = $this->getOption('p_rootpage_src');
     $r_size    = $this->getOption('p_rootpage_size');
@@ -306,5 +308,9 @@
     if ($r_desc):
       $content .= '
-  <div class="gdHomeQuote">' . $r_desc . '</div>';
+  <div class="gdHomeQuote">' . l10n($r_desc) . '</div>';
+    endif;
+    if ($r_link):
+      $content .= '
+  <div class="gdHomeEnter"><a href="index.php?/categories">' . l10n('Click to Enter') . '</a></div>';
     endif;
     $content .= '
Index: extensions/greydragon/template/header.tpl
===================================================================
--- extensions/greydragon/template/header.tpl	(revision 31208)
+++ extensions/greydragon/template/header.tpl	(revision 31232)
@@ -114,5 +114,5 @@
 {/if}
 </head>
-<body id="{$BODY_ID}" class="{if $includeMenu=="on"}{$greydragon.p_main_menu}-menu{else}hide-menu{/if}{if $PAGE_BANNER}{else} no-header{/if}{if $greydragon.p_nocounter == "on"} no-b-counter{/if}">
+<body id="{$BODY_ID}" class="{if $includeMenu=="on"}{$greydragon.p_main_menu}-menu{else}hide-menu{/if}{if $PAGE_BANNER}{else} no-header{/if}{if $greydragon.p_nocounter == "on"} no-b-counter{/if} theme-{$greydragon.p_colorpack}">
 <div id="the_page">
 {if not empty($header_msgs)}
Index: extensions/greydragon/themeconf.inc.php
===================================================================
--- extensions/greydragon/themeconf.inc.php	(revision 31208)
+++ extensions/greydragon/themeconf.inc.php	(revision 31232)
@@ -2,5 +2,5 @@
 /*
 Theme Name: GreyDragon
-Version: 1.2.25
+Version: 1.2.26
 Description: GreyDragon Theme
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=775